Click or drag to resize
BendSpaceMorph Constructor (Point3d, Point3d, Point3d, Double, Boolean, Boolean)
Constructs a bend space morph.

Namespace: Rhino.Geometry.Morphs
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public BendSpaceMorph(
	Point3d start,
	Point3d end,
	Point3d point,
	double angle,
	bool straight,
	bool symmetric
)

Parameters

start
Type: Rhino.GeometryPoint3d
Start of spine that represents the original orientation of the object.
end
Type: Rhino.GeometryPoint3d
End of spine.
point
Type: Rhino.GeometryPoint3d
Used for bend direction.
angle
Type: SystemDouble
Bend angle in radians.
straight
Type: SystemBoolean
If false, then point determines the region to bend. If true, only the spine region is bent.
symmetric
Type: SystemBoolean
If false, then only one end of the object bends. If true, then the object will bend symmetrically around the center if you start the spine in the middle of the object.
See Also